> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Carrier Definitions

> Retrieves all shipping carrier definitions for the specified tenant



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/carriers/definitions
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/carriers/definitions:
    get:
      tags:
        - CarrierDefinition
      summary: Get Carrier Definitions
      description: Retrieves all shipping carrier definitions for the specified tenant
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CarrierDefinition'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/CarrierDefinition'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/CarrierDefinition'
                type: array
          description: Success
components:
  schemas:
    CarrierDefinition:
      description: "A carrier definition including config field metadata.\r\nCan either be a built-in system carrier or an Extensible Carrier installed via a <see cref=\"T:Mozu.ShippingAdmin.Contracts.Carriers.CarrierInstallation\">carrier installation</see>."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        carrierId:
          nullable: true
          type: string
        certified:
          nullable: true
          type: boolean
        configFields:
          items:
            $ref: '#/components/schemas/CarrierCredentialSetMetadata'
          nullable: true
          type: array
        description:
          nullable: true
          type: string
        features:
          items:
            type: string
          nullable: true
          type: array
        isBuiltIn:
          type: boolean
        logoUrl:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CarrierCredentialSetMetadata:
      description: "The metadata for a single field on a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSet.\r\nThis metadata is used during carrier installation and carrier credential set validation."
      properties:
        dataType:
          $ref: '#/components/schemas/CarrierCredentialSetMetadataDataType'
        localizations:
          items:
            $ref: '#/components/schemas/CarrierCredentialSetMetadataLocalizedContent'
          nullable: true
          type: array
        name:
          nullable: true
          type: string
        required:
          type: boolean
      type: object
    CarrierCredentialSetMetadataDataType:
      description: >-
        The type of field stored in a
        Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSetMetadata item.
      enum:
        - String
        - Integer
        - Boolean
        - Password
      format: ''
      type: string
    CarrierCredentialSetMetadataLocalizedContent:
      description: >-
        The localized content for a
        Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSetMetadata item.
      properties:
        description:
          nullable: true
          type: string
        label:
          nullable: true
          type: string
        localeCode:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````